import { InjectionToken } from '@angular/core';
import { Observer } from 'rxjs/Observer';
import { Observable } from 'rxjs/Observable';
import { PznContext, PznOffer } from './../../interfaces/pzn.context';
export declare const BACKEND_SERVICE_TOKEN: InjectionToken<AbstractBackendService>;
export declare abstract class AbstractBackendService {
    session: Observer<PznContext>;
    refresh: Observer<PznContext>;
    getOffers: (id: string) => Observable<PznOffer>;
}
